Skip to main content
PATCH
/
v0
/
webhook_subscriptions
/
{subscription_id}
Update webhook subscription
curl --request PATCH \
  --url https://api.tryarchitect.com/v0/webhook_subscriptions/{subscription_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "<string>",
  "events": [
    "page.version.created"
  ],
  "active": true
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "page.version.created"
  ],
  "active": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

subscription_id
string
required

The webhook subscription ID

Body

application/json
url
string<uri>

The webhook endpoint URL

events
enum<string>[]
Available options:
page.version.created,
page.version.processed,
page.version.published,
form.submitted,
form.enriched,
form.enrichment_failed
active
boolean

Response

200 - application/json

Successful operation

id
string
required

Unique subscription identifier

url
string<uri>
required

The webhook endpoint URL

events
enum<string>[] | null
required
Available options:
page.version.created,
page.version.processed,
page.version.published,
form.submitted,
form.enriched,
form.enrichment_failed
active
boolean
required

Whether the subscription is active

createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$